-- phpMyAdmin SQL Dump
-- version 2.6.0-pl2
-- http://www.phpmyadmin.net

-- --------------------------------------------------------

-- 
-- Table structure for table `rss_admin`
-- 

CREATE TABLE `rss_admin` (
  `srno` int(11) NOT NULL auto_increment,
  `uname` text NOT NULL,
  `password` varchar(200) NOT NULL default '',
  `cbname` text NOT NULL,
  PRIMARY KEY  (`srno`)
) TYPE=MyISAM COMMENT='admin table' AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `rss_admin`
-- 

INSERT INTO `rss_admin` VALUES (1, 'admin', 'admin', '');

-- --------------------------------------------------------

-- 
-- Table structure for table `rss_launch`
-- 

CREATE TABLE `rss_launch` (
  `srno` int(11) NOT NULL auto_increment,
  `title` varchar(200) NOT NULL default '',
  `description` varchar(200) default NULL,
  `url` varchar(200) NOT NULL default '',
  `Code` text NOT NULL,
  `launchdt` date NOT NULL default '0000-00-00',
  `status` int(1) NOT NULL default '0',
  PRIMARY KEY  (`srno`)
) TYPE=MyISAM COMMENT='Launch Products' AUTO_INCREMENT=2 ;

-- 
-- Dumping data for table `rss_launch`
-- 
-- --------------------------------------------------------

-- 
-- Table structure for table `rss_links`
-- 

CREATE TABLE `rss_links` (
  `srno` int(10) unsigned NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `cat` text NOT NULL,
  `keywords` text NOT NULL,
  `num_link` int(11) NOT NULL default '0',
  `time_stamp` varchar(100) NOT NULL default '',
  `cur_time` time NOT NULL default '00:00:00',
  `cur_date` datetime NOT NULL default '0000-00-00 00:00:00',
  `item_array` text NOT NULL,
  PRIMARY KEY  (`srno`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;


-- 
-- Table structure for table `rss_sys_cb_category`
-- 

CREATE TABLE `rss_sys_cb_category` (
  `CategoryId` int(10) unsigned NOT NULL auto_increment,
  `Description` varchar(100) NOT NULL default '',
  `ParentCategoryId` int(10) unsigned default NULL,
  `Code` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`CategoryId`),
  KEY `IDX_ParentCategoryId` (`ParentCategoryId`),
  KEY `IDX_Code` (`Code`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;


-- --------------------------------------------------------

-- 
-- Table structure for table `rss_sys_cb_category_detail`
-- 

CREATE TABLE `rss_sys_cb_category_detail` (
  `CategoryId` int(10) unsigned NOT NULL default '0',
  `ItemId` int(10) unsigned NOT NULL default '0',
  `Rank` int(10) default NULL,
  PRIMARY KEY  (`CategoryId`,`ItemId`),
  KEY `IDX_CategoryId` (`CategoryId`),
  KEY `IDX_ItemId` (`ItemId`)
) TYPE=MyISAM;


-- --------------------------------------------------------

-- 
-- Table structure for table `rss_sys_cb_item`
-- 

CREATE TABLE `rss_sys_cb_item` (
  `ItemId` int(10) unsigned NOT NULL auto_increment,
  `Title` varchar(200) default NULL,
  `Description` varchar(255) default NULL,
  `URL` varchar(255) default '',
  `Code` varchar(200) default '',
  `MyItemId` int(10) unsigned default NULL,
  `Rank` int(10) NOT NULL default '0',
  PRIMARY KEY  (`ItemId`),
  UNIQUE KEY `IDX_Code` (`Code`),
  UNIQUE KEY `IDX_MyItemId` (`MyItemId`)
) TYPE=MyISAM AUTO_INCREMENT=1 ;


-- --------------------------------------------------------

-- 
-- Table structure for table `rss_tracking`
-- 

CREATE TABLE `rss_tracking` (
  `srno` int(11) NOT NULL auto_increment,
  `cbid` varchar(200) NOT NULL default '',
  `itemtitle` text NOT NULL,
  `itemcode` varchar(200) NOT NULL default '',
  `dt` date NOT NULL default '0000-00-00',
  `clicks` bigint(20) NOT NULL default '0',
  PRIMARY KEY  (`srno`)
) TYPE=MyISAM COMMENT='Click Bank Tracking' AUTO_INCREMENT=1 ;

