// JavaScript Document
function getCheckedItems() {
	var checkedItems = "";
	
	if (!document.frmItems.chkItem.length) {
		if (document.frmItems.chkItem.checked) {
			checkedItems = document.frmItems.chkItem.value;
		}
	}
	else {
		for (i = 0; i < document.frmItems.chkItem.length; i++) {
			if (document.frmItems.chkItem[i].checked) {
				if (checkedItems != "") {
					checkedItems += ",";
				}
				checkedItems += document.frmItems.chkItem[i].value;
			}
		}
	}
	return checkedItems;
}

function getCheckedCategories() {
	var checkedCategories = "";
	var len = document.frmItems.length;
	
	for (i = 0; i < len; i++) {
		obj = document.frmItems[i];
		if (obj.name == "checkbox[]" && obj.checked) {
			if (checkedCategories != "") {
				checkedCategories += ",";
			}
			checkedCategories += obj.value.split(",")[0];
		}
	}

	return checkedCategories;
}

function checkForm() {
	var checkedCategories = getCheckedCategories();
	
	if (checkedCategories == "") {
		alert("No categories are selected");
		return false;
	}
	
	return true;
}

function addItems(categoryId) {
	var checkedItems = getCheckedItems();
	var checkedCats = getCheckedCategories();
	
	//if(checkedCats==null)
	//checkedCats=categoryId;
	
	if (checkedItems == "") {
		alert("No products are selected!");
	}
	else {
		document.location = "add_existing_item_pr.php?categoryId=" + checkedCats + "&items=" + checkedItems;
	}
}

function selectCategories(categories, selectedCategoryId) {
	categories = "," + categories + ",";
	len = document.frmItems.length;

	for (i = 0; i < len; i++) {
		obj = document.frmItems[i];
		if (obj.name == "checkbox[]" && categories.search("," + obj.value + ",") != -1) {
			if (obj.value == selectedCategoryId) {
				obj.disabled = true;
			}
			else {
				obj.checked = true;
			}
		}
	}
}

function disableSelectedCategory(selectedCategoryId) {
	len = document.frmItems.length;

	for (i = 0; i < len; i++) {
		obj = document.frmItems[i];
		if (obj.name == "checkbox[]" && obj.value == selectedCategoryId) {
			obj.disabled = true;
			break;
		}
	}
}

function selectAll() {
	var len = document.frmItems.length;
	var checked = document.frmItems.chkSelectAll.checked;

	for (i = 0; i < len; i++) {
		obj = document.frmItems[i];
		if (obj.name == "checkbox[]") {
			obj.checked = checked;
		}
	}
}

function selectAllProducts() {
	var len = document.frmItems.length;
	var checked = document.frmItems.chkSelectAllItems.checked;

	for (i = 0; i < len; i++) {
		obj = document.frmItems[i];
		if (obj.name.search("chkItem") == 0) {
			obj.checked = checked;
		}
	}
}

function selectBranch(chk) {
	var len = document.frmItems.length;
	if (document.frmItems.chkSelectBranch.checked) {	
		for (i = 0; i < len; i++) {
			obj = document.frmItems[i];
			if (obj.name == "checkbox[]" && obj.value.split(",")[1] == chk.value.split(",")[0]) {
				obj.checked = chk.checked;
			}
		}
	}
}

function prevPage() {
	if (checkForm()) {
		document.frmItems.hdPageNum.value = new Number(document.frmItems.hdPageNum.value) - 1;
		document.frmItems.submit();
	}
}

function nextPage() {
	if (checkForm()) {
		document.frmItems.hdPageNum.value = new Number(document.frmItems.hdPageNum.value) + 1;
		document.frmItems.submit();
	}
}